Sign in Start for free

Service Account Oidc Identities

Create new OIDC Identity for a Service Account

POST /api/serviceaccounts/{serviceAccountId}/oidcidentities/create/v1

Path Parameters

  • serviceAccountId string (required)
    The id of the service account that the identity belonds to.

Request Body

  • Audience string
    The audience of tokens for the identity.
  • Issuer string (required)
    Gets the issuer of tokens for the identity. Minimum length 1.
  • Name string (required)
    The name of the ServiceAccountOidcIdentity. Minimum length 1. Maximum length 200.
  • ServiceAccountId string (required)
    The id of the service account that the identity belonds to.
  • Subject string (required)
    Gets the subject of tokens for the identity. Minimum length 1.

Response

201 — Created

  • Id string

Example Request

JSON
{
  "Audience": "string",
  "Issuer": "string",
  "Name": "string",
  "ServiceAccountId": "string",
  "Subject": "string"
}

Example Response

JSON
{
  "Id": "string"
}

Get ServiceAccountOidcIdentities

GET /api/serviceaccounts/{serviceAccountId}/oidcidentities/v1

Gets a paginated set of ServiceAccountOidcIdentities.

Path Parameters

  • serviceAccountId string (required)
    The id of the service account to get OIDC identities for.

Query Parameters

  • skip integer (required)
    Number of items to skip. Minimum 0.
  • take integer (required)
    Number of items to take. Minimum 0.

Response

200 — Rseponse to getting set of ServiceAccountOidcIdentities

  • Count integer
  • ExternalId string
    Minimum length 1.
  • OidcIdentities array of object
    • Audience string
    • Id string
    • Issuer string
      Minimum length 1.
    • Name string
      Minimum length 1.
    • ServiceAccountId string
    • Subject string
      Minimum length 1.
  • ServerUrl string
    Minimum length 1.

Example Response

JSON
{
  "Count": 0,
  "ExternalId": "string",
  "OidcIdentities": [
    {
      "Audience": "string",
      "Id": "string",
      "Issuer": "string",
      "Name": "string",
      "ServiceAccountId": "string",
      "Subject": "string"
    }
  ],
  "ServerUrl": "string"
}

Get ServiceAccountOidcIdentity by id

GET /api/serviceaccounts/{serviceAccountId}/oidcidentities/{id}/v1

Gets a ServiceAccountOidcIdentity by its id.

Path Parameters

  • id string (required)
    The id of the ServiceAccountOidcIdentity.
  • serviceAccountId string (required)
    The id of the space for the ServiceAccountOidcIdentity.

Response

200 — Response to getting a ServiceAccountOidcIdentity by id

  • Audience string
  • Id string
  • Issuer string
    Minimum length 1.
  • Name string
    Minimum length 1.
  • ServiceAccountId string
  • Subject string
    Minimum length 1.

Example Response

JSON
{
  "Audience": "string",
  "Id": "string",
  "Issuer": "string",
  "Name": "string",
  "ServiceAccountId": "string",
  "Subject": "string"
}

Modify ServiceAccountOidcIdentity

PUT /api/serviceaccounts/{serviceAccountId}/oidcidentities/{id}/v1

Path Parameters

  • id string (required)
    The id of the ServiceAccountOidcIdentity.
  • serviceAccountId string (required)
    The id of the space for the ServiceAccountOidcIdentity.

Request Body

  • Audience string
    The audience of tokens for the OIDC identity.
  • Id string (required)
    The id of the ServiceAccountOidcIdentity.
  • Issuer string (required)
    The issuer of tokens for the OIDC identity. Minimum length 1. Maximum length 200.
  • Name string (required)
    The name of the ServiceAccountOidcIdentity. Minimum length 1. Maximum length 200.
  • ServiceAccountId string (required)
    The id of the space for the ServiceAccountOidcIdentity.
  • Subject string (required)
    The name of the ServiceAccountOidcIdentity. Minimum length 1. Maximum length 200.

Response

200 — Response to modifying a ServiceAccountOidcIdentity

Example Request

JSON
{
  "Audience": "string",
  "Id": "string",
  "Issuer": "string",
  "Name": "string",
  "ServiceAccountId": "string",
  "Subject": "string"
}

Example Response

JSON
{}

Delete ServiceAccountOidcIdentity

DELETE /api/serviceaccounts/{serviceAccountId}/oidcidentities/{id}/v1

Deletes a ServiceAccountOidcIdentity.

Path Parameters

  • id string (required)
    The id of the ServiceAccountOidcIdentity.
  • serviceAccountId string (required)
    The id of the service account that the identity belongs to.

Response

200 — Response to deleting a ServiceAccountOidcIdentity

Example Response

JSON
{}